### Method

# EBackend DataFactory spawn_subprocess_backend

since: 3.16

#### Declaration [src]

    void
    e_data_factory_spawn_subprocess_backend (
      EDataFactory* data_factory,
      GDBusMethodInvocation* invocation,
      const gchar* uid,
      const gchar* extension_name,
      const gchar* subprocess_path
    )

#### Description [src]

Spawns a new subprocess for a backend type and returns the object path of the new subprocess to the client, in the way the client can talk directly to the running backend. If the backend already has a subprocess running, the used object path is returned to the client.

Available since: 3.16

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  An `ESource` UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extension_name`

  Type: `const gchar*`

  An extension name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`subprocess_path`

  Type: `const gchar*`

  A path of an executable responsible for running the subprocess.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.